[{"data":1,"prerenderedAt":1858},["ShallowReactive",2],{"docs-page-\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fshipment-location":3,"nav-docs_en-api_en":1173,"surround-\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fshipment-location":1855},{"document":4,"collection":1171,"isFallback":1172,"defaultLocalePath":1154},{"id":5,"title":6,"audience":7,"body":8,"boost":1142,"date":1142,"description":1143,"extension":1144,"keywords":1145,"meta":1152,"navigation":1153,"path":1154,"question_examples":1155,"related":1159,"seo":1161,"slug":1142,"stem":1162,"summary":1163,"synonyms":1164,"__hash__":1170},"docs_en\u002Fen\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F2.shipment-location.md","Shipment location","api",{"type":9,"value":10,"toc":1136},"minimark",[11,24,29,39,56,74,296,300,334,564,568,571,583,587,590,611,705,712,1125,1132],[12,13,14,15,23],"p",{},"The response of the Container Tracking API endpoint ",[16,17,19],"a",{"href":18},"\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference\u002Fget-shipment-detail",[20,21,22],"code",{},"GET \u002Fshipment"," locates a shipment in three ways: the current coordinates of the shipment, the last AIS position of the vessel carrying it, and the status and events of its containers. The first two place the shipment on a map; the third tells where it is in its journey.",[25,26,28],"h2",{"id":27},"current-coordinates-recommended","Current coordinates (recommended)",[12,30,31,32,35,36,38],{},"To place a container on a map, use ",[20,33,34],{},"routeData.coordinates"," in the ",[20,37,22],{}," response: it is the current position of the container.",[40,41,42,50],"ul",{},[43,44,45,46,49],"li",{},"When the container is on board a vessel, ",[20,47,48],{},"coordinates"," is the position of the vessel.",[43,51,52,53,55],{},"When it is not, ",[20,54,48],{}," is the last known position of the container, usually its last location.",[12,57,58,61,62,65,66,69,70,73],{},[20,59,60],{},"routeData.routeSegments"," lists the successive positions of the journey of the shipment, which draw that journey on a map. ",[20,63,64],{},"routeData"," is returned only when the request parameter ",[20,67,68],{},"route"," is ",[20,71,72],{},"true",", its default value.",[75,76,81],"pre",{"className":77,"code":78,"language":79,"meta":80,"style":80},"language-json shiki shiki-themes github-light github-dark","{\n  \"routeData\": {\n    \"routeSegments\": [\n      {\n        \"path\": [\n          { \"lat\": 29.76328, \"lng\": -95.36327, \"updatedAt\": null },\n          { \"lat\": 53.551052, \"lng\": 8.570912, \"updatedAt\": null },\n          { \"lat\": 53.53615, \"lng\": 8.59298, \"updatedAt\": null }\n        ],\n        \"routeType\": \"SEA\"\n      }\n    ],\n    \"coordinates\": { \"lat\": 47.08643, \"lng\": -11.237754 }\n  }\n}\n","json","",[20,82,83,92,102,111,117,125,164,195,227,233,245,251,257,284,290],{"__ignoreMap":80},[84,85,88],"span",{"class":86,"line":87},"line",1,[84,89,91],{"class":90},"sVt8B","{\n",[84,93,95,99],{"class":86,"line":94},2,[84,96,98],{"class":97},"sj4cs","  \"routeData\"",[84,100,101],{"class":90},": {\n",[84,103,105,108],{"class":86,"line":104},3,[84,106,107],{"class":97},"    \"routeSegments\"",[84,109,110],{"class":90},": [\n",[84,112,114],{"class":86,"line":113},4,[84,115,116],{"class":90},"      {\n",[84,118,120,123],{"class":86,"line":119},5,[84,121,122],{"class":97},"        \"path\"",[84,124,110],{"class":90},[84,126,128,131,134,137,140,143,146,148,151,153,156,158,161],{"class":86,"line":127},6,[84,129,130],{"class":90},"          { ",[84,132,133],{"class":97},"\"lat\"",[84,135,136],{"class":90},": ",[84,138,139],{"class":97},"29.76328",[84,141,142],{"class":90},", ",[84,144,145],{"class":97},"\"lng\"",[84,147,136],{"class":90},[84,149,150],{"class":97},"-95.36327",[84,152,142],{"class":90},[84,154,155],{"class":97},"\"updatedAt\"",[84,157,136],{"class":90},[84,159,160],{"class":97},"null",[84,162,163],{"class":90}," },\n",[84,165,167,169,171,173,176,178,180,182,185,187,189,191,193],{"class":86,"line":166},7,[84,168,130],{"class":90},[84,170,133],{"class":97},[84,172,136],{"class":90},[84,174,175],{"class":97},"53.551052",[84,177,142],{"class":90},[84,179,145],{"class":97},[84,181,136],{"class":90},[84,183,184],{"class":97},"8.570912",[84,186,142],{"class":90},[84,188,155],{"class":97},[84,190,136],{"class":90},[84,192,160],{"class":97},[84,194,163],{"class":90},[84,196,198,200,202,204,207,209,211,213,216,218,220,222,224],{"class":86,"line":197},8,[84,199,130],{"class":90},[84,201,133],{"class":97},[84,203,136],{"class":90},[84,205,206],{"class":97},"53.53615",[84,208,142],{"class":90},[84,210,145],{"class":97},[84,212,136],{"class":90},[84,214,215],{"class":97},"8.59298",[84,217,142],{"class":90},[84,219,155],{"class":97},[84,221,136],{"class":90},[84,223,160],{"class":97},[84,225,226],{"class":90}," }\n",[84,228,230],{"class":86,"line":229},9,[84,231,232],{"class":90},"        ],\n",[84,234,236,239,241],{"class":86,"line":235},10,[84,237,238],{"class":97},"        \"routeType\"",[84,240,136],{"class":90},[84,242,244],{"class":243},"sZZnC","\"SEA\"\n",[84,246,248],{"class":86,"line":247},11,[84,249,250],{"class":90},"      }\n",[84,252,254],{"class":86,"line":253},12,[84,255,256],{"class":90},"    ],\n",[84,258,260,263,266,268,270,273,275,277,279,282],{"class":86,"line":259},13,[84,261,262],{"class":97},"    \"coordinates\"",[84,264,265],{"class":90},": { ",[84,267,133],{"class":97},[84,269,136],{"class":90},[84,271,272],{"class":97},"47.08643",[84,274,142],{"class":90},[84,276,145],{"class":97},[84,278,136],{"class":90},[84,280,281],{"class":97},"-11.237754",[84,283,226],{"class":90},[84,285,287],{"class":86,"line":286},14,[84,288,289],{"class":90},"  }\n",[84,291,293],{"class":86,"line":292},15,[84,294,295],{"class":90},"}\n",[25,297,299],{"id":298},"ais-position-of-the-vessel","AIS position of the vessel",[12,301,302,303,305,306,309,310,312,313,316,317,319,320,69,323,142,326,329,330,333],{},"The ",[20,304,22],{}," response also carries the AIS data of the vessel in ",[20,307,308],{},"routeData.ais",", when the request parameters ",[20,311,68],{}," and ",[20,314,315],{},"ais"," are both ",[20,318,72],{},". When ",[20,321,322],{},"ais.status",[20,324,325],{},"OK",[20,327,328],{},"ais.data.lastVesselPosition"," gives the last position of the vessel. Its ",[20,331,332],{},"updatedAt"," field tells when that position was received, so you can decide whether it is recent enough for your use.",[75,335,337],{"className":77,"code":336,"language":79,"meta":80,"style":80},"{\n  \"ais\": {\n    \"status\": \"OK\",\n    \"data\": {\n      \"lastEvent\": {\n        \"description\": \"Vessel departure\",\n        \"date\": \"2023-11-11T07:09:00Z\",\n        \"voyage\": \"344E\"\n      },\n      \"dischargePort\": null,\n      \"vessel\": {\n        \"name\": \"MAERSK OHIO\",\n        \"imo\": 9298698,\n        \"callSign\": \"KABP\",\n        \"mmsi\": 367775000,\n        \"flag\": \"US\"\n      },\n      \"lastVesselPosition\": {\n        \"lat\": 51.28157,\n        \"lng\": 4.253457,\n        \"updatedAt\": \"2023-11-28T10:28:00Z\"\n      }\n    }\n  }\n}\n",[20,338,339,343,350,363,370,377,389,401,411,416,427,434,446,458,470,482,493,498,506,519,532,543,548,554,559],{"__ignoreMap":80},[84,340,341],{"class":86,"line":87},[84,342,91],{"class":90},[84,344,345,348],{"class":86,"line":94},[84,346,347],{"class":97},"  \"ais\"",[84,349,101],{"class":90},[84,351,352,355,357,360],{"class":86,"line":104},[84,353,354],{"class":97},"    \"status\"",[84,356,136],{"class":90},[84,358,359],{"class":243},"\"OK\"",[84,361,362],{"class":90},",\n",[84,364,365,368],{"class":86,"line":113},[84,366,367],{"class":97},"    \"data\"",[84,369,101],{"class":90},[84,371,372,375],{"class":86,"line":119},[84,373,374],{"class":97},"      \"lastEvent\"",[84,376,101],{"class":90},[84,378,379,382,384,387],{"class":86,"line":127},[84,380,381],{"class":97},"        \"description\"",[84,383,136],{"class":90},[84,385,386],{"class":243},"\"Vessel departure\"",[84,388,362],{"class":90},[84,390,391,394,396,399],{"class":86,"line":166},[84,392,393],{"class":97},"        \"date\"",[84,395,136],{"class":90},[84,397,398],{"class":243},"\"2023-11-11T07:09:00Z\"",[84,400,362],{"class":90},[84,402,403,406,408],{"class":86,"line":197},[84,404,405],{"class":97},"        \"voyage\"",[84,407,136],{"class":90},[84,409,410],{"class":243},"\"344E\"\n",[84,412,413],{"class":86,"line":229},[84,414,415],{"class":90},"      },\n",[84,417,418,421,423,425],{"class":86,"line":235},[84,419,420],{"class":97},"      \"dischargePort\"",[84,422,136],{"class":90},[84,424,160],{"class":97},[84,426,362],{"class":90},[84,428,429,432],{"class":86,"line":247},[84,430,431],{"class":97},"      \"vessel\"",[84,433,101],{"class":90},[84,435,436,439,441,444],{"class":86,"line":253},[84,437,438],{"class":97},"        \"name\"",[84,440,136],{"class":90},[84,442,443],{"class":243},"\"MAERSK OHIO\"",[84,445,362],{"class":90},[84,447,448,451,453,456],{"class":86,"line":259},[84,449,450],{"class":97},"        \"imo\"",[84,452,136],{"class":90},[84,454,455],{"class":97},"9298698",[84,457,362],{"class":90},[84,459,460,463,465,468],{"class":86,"line":286},[84,461,462],{"class":97},"        \"callSign\"",[84,464,136],{"class":90},[84,466,467],{"class":243},"\"KABP\"",[84,469,362],{"class":90},[84,471,472,475,477,480],{"class":86,"line":292},[84,473,474],{"class":97},"        \"mmsi\"",[84,476,136],{"class":90},[84,478,479],{"class":97},"367775000",[84,481,362],{"class":90},[84,483,485,488,490],{"class":86,"line":484},16,[84,486,487],{"class":97},"        \"flag\"",[84,489,136],{"class":90},[84,491,492],{"class":243},"\"US\"\n",[84,494,496],{"class":86,"line":495},17,[84,497,415],{"class":90},[84,499,501,504],{"class":86,"line":500},18,[84,502,503],{"class":97},"      \"lastVesselPosition\"",[84,505,101],{"class":90},[84,507,509,512,514,517],{"class":86,"line":508},19,[84,510,511],{"class":97},"        \"lat\"",[84,513,136],{"class":90},[84,515,516],{"class":97},"51.28157",[84,518,362],{"class":90},[84,520,522,525,527,530],{"class":86,"line":521},20,[84,523,524],{"class":97},"        \"lng\"",[84,526,136],{"class":90},[84,528,529],{"class":97},"4.253457",[84,531,362],{"class":90},[84,533,535,538,540],{"class":86,"line":534},21,[84,536,537],{"class":97},"        \"updatedAt\"",[84,539,136],{"class":90},[84,541,542],{"class":243},"\"2023-11-28T10:28:00Z\"\n",[84,544,546],{"class":86,"line":545},22,[84,547,250],{"class":90},[84,549,551],{"class":86,"line":550},23,[84,552,553],{"class":90},"    }\n",[84,555,557],{"class":86,"line":556},24,[84,558,289],{"class":90},[84,560,562],{"class":86,"line":561},25,[84,563,295],{"class":90},[25,565,567],{"id":566},"coordinates-or-ais-position","Coordinates or AIS position",[12,569,570],{},"The two positions come from different sources:",[40,572,573,578],{},[43,574,575,577],{},[20,576,328],{}," comes from AIS data, the satellite geopositioning of the vessel;",[43,579,580,582],{},[20,581,34],{}," comes from the data of the shipping line.",[25,584,586],{"id":585},"status-and-events","Status and events",[12,588,589],{},"To locate a shipment by its progress rather than on a map, use the status and the events of the shipment.",[12,591,592,593,596,597,142,600,142,603,606,607,610],{},"For a quick check, ",[20,594,595],{},"metadata.shippingStatus"," gives the short status of the shipment: ",[20,598,599],{},"PLANNED",[20,601,602],{},"IN_TRANSIT",[20,604,605],{},"DELIVERED"," or ",[20,608,609],{},"UNKNOWN",".",[75,612,614],{"className":77,"code":613,"language":79,"meta":80,"style":80},"{\n  \"metadata\": {\n    \"shipmentType\": \"CT\",\n    \"shipmentNumber\": \"MSKU0496560\",\n    \"sealine\": \"MAEU\",\n    \"sealineName\": \"Maersk\",\n    \"shippingStatus\": \"IN_TRANSIT\",\n    \"updatedAt\": \"2023-11-28T11:24:59Z\"\n  }\n}\n",[20,615,616,620,627,639,651,663,675,687,697,701],{"__ignoreMap":80},[84,617,618],{"class":86,"line":87},[84,619,91],{"class":90},[84,621,622,625],{"class":86,"line":94},[84,623,624],{"class":97},"  \"metadata\"",[84,626,101],{"class":90},[84,628,629,632,634,637],{"class":86,"line":104},[84,630,631],{"class":97},"    \"shipmentType\"",[84,633,136],{"class":90},[84,635,636],{"class":243},"\"CT\"",[84,638,362],{"class":90},[84,640,641,644,646,649],{"class":86,"line":113},[84,642,643],{"class":97},"    \"shipmentNumber\"",[84,645,136],{"class":90},[84,647,648],{"class":243},"\"MSKU0496560\"",[84,650,362],{"class":90},[84,652,653,656,658,661],{"class":86,"line":119},[84,654,655],{"class":97},"    \"sealine\"",[84,657,136],{"class":90},[84,659,660],{"class":243},"\"MAEU\"",[84,662,362],{"class":90},[84,664,665,668,670,673],{"class":86,"line":127},[84,666,667],{"class":97},"    \"sealineName\"",[84,669,136],{"class":90},[84,671,672],{"class":243},"\"Maersk\"",[84,674,362],{"class":90},[84,676,677,680,682,685],{"class":86,"line":166},[84,678,679],{"class":97},"    \"shippingStatus\"",[84,681,136],{"class":90},[84,683,684],{"class":243},"\"IN_TRANSIT\"",[84,686,362],{"class":90},[84,688,689,692,694],{"class":86,"line":197},[84,690,691],{"class":97},"    \"updatedAt\"",[84,693,136],{"class":90},[84,695,696],{"class":243},"\"2023-11-28T11:24:59Z\"\n",[84,698,699],{"class":86,"line":229},[84,700,289],{"class":90},[84,702,703],{"class":86,"line":235},[84,704,295],{"class":90},[12,706,707,708,711],{},"For details, each entry of ",[20,709,710],{},"containers"," lists the events of the container. Each event gives a location, a facility, an event code, a status and a date: the last actual event tells where the container is and what happened to it.",[75,713,715],{"className":77,"code":714,"language":79,"meta":80,"style":80},"{\n  \"number\": \"MSKU0496560\",\n  \"isoCode\": \"45G1\",\n  \"status\": \"IN_TRANSIT\",\n  \"events\": [\n    {\n      \"location\": {\n        \"name\": \"Houston\",\n        \"state\": \"Texas\",\n        \"country\": \"United States\",\n        \"countryCode\": \"US\",\n        \"locode\": \"USHOU\",\n        \"coordinates\": { \"lat\": 29.76328, \"lng\": -95.36327, \"updatedAt\": null },\n        \"timezone\": \"America\u002FChicago\"\n      },\n      \"facility\": {\n        \"name\": \"Houston Barbours Cut Terminal\",\n        \"countryCode\": \"US\",\n        \"locode\": \"USUQF\",\n        \"bicCode\": \"USUQFGDQQ\",\n        \"smdgCode\": null,\n        \"coordinates\": { \"lat\": null, \"lng\": null, \"updatedAt\": null }\n      },\n      \"description\": \"Gate out\",\n      \"eventType\": \"EQUIPMENT\",\n      \"eventCode\": \"GTOT\",\n      \"status\": \"CEP\",\n      \"date\": \"2023-11-07T11:16:00Z\",\n      \"isActual\": true,\n      \"isAdditionalEvent\": false,\n      \"routeType\": \"LAND\",\n      \"transportType\": null,\n      \"vessel\": null,\n      \"voyage\": null\n    }\n  ]\n}\n",[20,716,717,721,732,744,755,762,767,774,785,797,809,821,833,864,874,878,885,896,906,917,929,940,970,974,986,998,1011,1024,1037,1049,1062,1075,1087,1098,1109,1114,1120],{"__ignoreMap":80},[84,718,719],{"class":86,"line":87},[84,720,91],{"class":90},[84,722,723,726,728,730],{"class":86,"line":94},[84,724,725],{"class":97},"  \"number\"",[84,727,136],{"class":90},[84,729,648],{"class":243},[84,731,362],{"class":90},[84,733,734,737,739,742],{"class":86,"line":104},[84,735,736],{"class":97},"  \"isoCode\"",[84,738,136],{"class":90},[84,740,741],{"class":243},"\"45G1\"",[84,743,362],{"class":90},[84,745,746,749,751,753],{"class":86,"line":113},[84,747,748],{"class":97},"  \"status\"",[84,750,136],{"class":90},[84,752,684],{"class":243},[84,754,362],{"class":90},[84,756,757,760],{"class":86,"line":119},[84,758,759],{"class":97},"  \"events\"",[84,761,110],{"class":90},[84,763,764],{"class":86,"line":127},[84,765,766],{"class":90},"    {\n",[84,768,769,772],{"class":86,"line":166},[84,770,771],{"class":97},"      \"location\"",[84,773,101],{"class":90},[84,775,776,778,780,783],{"class":86,"line":197},[84,777,438],{"class":97},[84,779,136],{"class":90},[84,781,782],{"class":243},"\"Houston\"",[84,784,362],{"class":90},[84,786,787,790,792,795],{"class":86,"line":229},[84,788,789],{"class":97},"        \"state\"",[84,791,136],{"class":90},[84,793,794],{"class":243},"\"Texas\"",[84,796,362],{"class":90},[84,798,799,802,804,807],{"class":86,"line":235},[84,800,801],{"class":97},"        \"country\"",[84,803,136],{"class":90},[84,805,806],{"class":243},"\"United States\"",[84,808,362],{"class":90},[84,810,811,814,816,819],{"class":86,"line":247},[84,812,813],{"class":97},"        \"countryCode\"",[84,815,136],{"class":90},[84,817,818],{"class":243},"\"US\"",[84,820,362],{"class":90},[84,822,823,826,828,831],{"class":86,"line":253},[84,824,825],{"class":97},"        \"locode\"",[84,827,136],{"class":90},[84,829,830],{"class":243},"\"USHOU\"",[84,832,362],{"class":90},[84,834,835,838,840,842,844,846,848,850,852,854,856,858,860,862],{"class":86,"line":259},[84,836,837],{"class":97},"        \"coordinates\"",[84,839,265],{"class":90},[84,841,133],{"class":97},[84,843,136],{"class":90},[84,845,139],{"class":97},[84,847,142],{"class":90},[84,849,145],{"class":97},[84,851,136],{"class":90},[84,853,150],{"class":97},[84,855,142],{"class":90},[84,857,155],{"class":97},[84,859,136],{"class":90},[84,861,160],{"class":97},[84,863,163],{"class":90},[84,865,866,869,871],{"class":86,"line":286},[84,867,868],{"class":97},"        \"timezone\"",[84,870,136],{"class":90},[84,872,873],{"class":243},"\"America\u002FChicago\"\n",[84,875,876],{"class":86,"line":292},[84,877,415],{"class":90},[84,879,880,883],{"class":86,"line":484},[84,881,882],{"class":97},"      \"facility\"",[84,884,101],{"class":90},[84,886,887,889,891,894],{"class":86,"line":495},[84,888,438],{"class":97},[84,890,136],{"class":90},[84,892,893],{"class":243},"\"Houston Barbours Cut Terminal\"",[84,895,362],{"class":90},[84,897,898,900,902,904],{"class":86,"line":500},[84,899,813],{"class":97},[84,901,136],{"class":90},[84,903,818],{"class":243},[84,905,362],{"class":90},[84,907,908,910,912,915],{"class":86,"line":508},[84,909,825],{"class":97},[84,911,136],{"class":90},[84,913,914],{"class":243},"\"USUQF\"",[84,916,362],{"class":90},[84,918,919,922,924,927],{"class":86,"line":521},[84,920,921],{"class":97},"        \"bicCode\"",[84,923,136],{"class":90},[84,925,926],{"class":243},"\"USUQFGDQQ\"",[84,928,362],{"class":90},[84,930,931,934,936,938],{"class":86,"line":534},[84,932,933],{"class":97},"        \"smdgCode\"",[84,935,136],{"class":90},[84,937,160],{"class":97},[84,939,362],{"class":90},[84,941,942,944,946,948,950,952,954,956,958,960,962,964,966,968],{"class":86,"line":545},[84,943,837],{"class":97},[84,945,265],{"class":90},[84,947,133],{"class":97},[84,949,136],{"class":90},[84,951,160],{"class":97},[84,953,142],{"class":90},[84,955,145],{"class":97},[84,957,136],{"class":90},[84,959,160],{"class":97},[84,961,142],{"class":90},[84,963,155],{"class":97},[84,965,136],{"class":90},[84,967,160],{"class":97},[84,969,226],{"class":90},[84,971,972],{"class":86,"line":550},[84,973,415],{"class":90},[84,975,976,979,981,984],{"class":86,"line":556},[84,977,978],{"class":97},"      \"description\"",[84,980,136],{"class":90},[84,982,983],{"class":243},"\"Gate out\"",[84,985,362],{"class":90},[84,987,988,991,993,996],{"class":86,"line":561},[84,989,990],{"class":97},"      \"eventType\"",[84,992,136],{"class":90},[84,994,995],{"class":243},"\"EQUIPMENT\"",[84,997,362],{"class":90},[84,999,1001,1004,1006,1009],{"class":86,"line":1000},26,[84,1002,1003],{"class":97},"      \"eventCode\"",[84,1005,136],{"class":90},[84,1007,1008],{"class":243},"\"GTOT\"",[84,1010,362],{"class":90},[84,1012,1014,1017,1019,1022],{"class":86,"line":1013},27,[84,1015,1016],{"class":97},"      \"status\"",[84,1018,136],{"class":90},[84,1020,1021],{"class":243},"\"CEP\"",[84,1023,362],{"class":90},[84,1025,1027,1030,1032,1035],{"class":86,"line":1026},28,[84,1028,1029],{"class":97},"      \"date\"",[84,1031,136],{"class":90},[84,1033,1034],{"class":243},"\"2023-11-07T11:16:00Z\"",[84,1036,362],{"class":90},[84,1038,1040,1043,1045,1047],{"class":86,"line":1039},29,[84,1041,1042],{"class":97},"      \"isActual\"",[84,1044,136],{"class":90},[84,1046,72],{"class":97},[84,1048,362],{"class":90},[84,1050,1052,1055,1057,1060],{"class":86,"line":1051},30,[84,1053,1054],{"class":97},"      \"isAdditionalEvent\"",[84,1056,136],{"class":90},[84,1058,1059],{"class":97},"false",[84,1061,362],{"class":90},[84,1063,1065,1068,1070,1073],{"class":86,"line":1064},31,[84,1066,1067],{"class":97},"      \"routeType\"",[84,1069,136],{"class":90},[84,1071,1072],{"class":243},"\"LAND\"",[84,1074,362],{"class":90},[84,1076,1078,1081,1083,1085],{"class":86,"line":1077},32,[84,1079,1080],{"class":97},"      \"transportType\"",[84,1082,136],{"class":90},[84,1084,160],{"class":97},[84,1086,362],{"class":90},[84,1088,1090,1092,1094,1096],{"class":86,"line":1089},33,[84,1091,431],{"class":97},[84,1093,136],{"class":90},[84,1095,160],{"class":97},[84,1097,362],{"class":90},[84,1099,1101,1104,1106],{"class":86,"line":1100},34,[84,1102,1103],{"class":97},"      \"voyage\"",[84,1105,136],{"class":90},[84,1107,1108],{"class":97},"null\n",[84,1110,1112],{"class":86,"line":1111},35,[84,1113,553],{"class":90},[84,1115,1117],{"class":86,"line":1116},36,[84,1118,1119],{"class":90},"  ]\n",[84,1121,1123],{"class":86,"line":1122},37,[84,1124,295],{"class":90},[12,1126,302,1127,1131],{},[16,1128,1130],{"href":1129},"\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fstatus-and-event-codes","Status and event codes"," page lists every event code and status a container event can carry.",[1133,1134,1135],"style",{},"html pre.shiki code .sVt8B, html code.shiki .sVt8B{--shiki-default:#24292E;--shiki-dark:#E1E4E8}html pre.shiki code .sj4cs, html code.shiki .sj4cs{--shiki-default:#005CC5;--shiki-dark:#79B8FF}html pre.shiki code .sZZnC, html code.shiki .sZZnC{--shiki-default:#032F62;--shiki-dark:#9ECBFF}html .default .shiki span {color: var(--shiki-default);background: var(--shiki-default-bg);font-style: var(--shiki-default-font-style);font-weight: var(--shiki-default-font-weight);text-decoration: var(--shiki-default-text-decoration);}html .shiki span {color: var(--shiki-default);background: var(--shiki-default-bg);font-style: var(--shiki-default-font-style);font-weight: var(--shiki-default-font-weight);text-decoration: var(--shiki-default-text-decoration);}html .dark .shiki span {color: var(--shiki-dark);background: var(--shiki-dark-bg);font-style: var(--shiki-dark-font-style);font-weight: var(--shiki-dark-font-weight);text-decoration: var(--shiki-dark-text-decoration);}html.dark .shiki span {color: var(--shiki-dark);background: var(--shiki-dark-bg);font-style: var(--shiki-dark-font-style);font-weight: var(--shiki-dark-font-weight);text-decoration: var(--shiki-dark-text-decoration);}",{"title":80,"searchDepth":104,"depth":104,"links":1137},[1138,1139,1140,1141],{"id":27,"depth":94,"text":28},{"id":298,"depth":94,"text":299},{"id":566,"depth":94,"text":567},{"id":585,"depth":94,"text":586},null,"The response of the Container Tracking API endpoint GET \u002Fshipment locates a shipment in three ways: the current coordinates of the shipment, the last AIS position of the vessel carrying it, and the status and events of its containers. The first two place the shipment on a map; the third tells where it is in its journey.","md",[1146,1147,48,64,315,1148,1149,1150,1151],"shipment location","container position","last vessel position","events","status","map",{},true,"\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fshipment-location",[1156,1157,1158],"How do I get the current position of a container with the Container Tracking API?","What is the difference between routeData coordinates and the AIS last vessel position?","How do I know where a container is from its tracking events?",[1160,1129,18],"\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fshipment-route",{"title":6,"description":1143},"en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F2.shipment-location","The Container Tracking API locates a shipment three ways — the current coordinates in routeData, the last AIS position of the vessel, and the status and events of the container.",[1165,1166,1167,1168,1169],"where is my container","container location","vessel position","geolocation","track on a map","YxPyWw7zl1e2IEdLtwUmbsVY9GVu45JvVIRq48PzCeY","docs_en",false,{"platform":1174,"api":1349,"faq":1707,"changelog":1733},[1175,1197,1226,1247,1264,1277,1306,1323,1336],{"title":1176,"path":1177,"stem":1178,"children":1179,"page":1172},"Getting Started","\u002Fen\u002Fplatform\u002Fgetting-started","en\u002F1.platform\u002F1.getting-started",[1180,1185,1189,1193],{"title":1181,"path":1182,"stem":1183,"audience":1184},"Creating an account","\u002Fen\u002Fplatform\u002Fgetting-started\u002Fcreating-an-account","en\u002F1.platform\u002F1.getting-started\u002F1.creating-an-account","platform",{"title":1186,"path":1187,"stem":1188,"audience":1184},"Adding shipments","\u002Fen\u002Fplatform\u002Fgetting-started\u002Fadding-shipments","en\u002F1.platform\u002F1.getting-started\u002F2.adding-shipments",{"title":1190,"path":1191,"stem":1192,"audience":1184},"Supported sealines","\u002Fen\u002Fplatform\u002Fgetting-started\u002Fsupported-sealines","en\u002F1.platform\u002F1.getting-started\u002F3.supported-sealines",{"title":1194,"path":1195,"stem":1196,"audience":1184},"Navigating the platform","\u002Fen\u002Fplatform\u002Fgetting-started\u002Fnavigating-the-platform","en\u002F1.platform\u002F1.getting-started\u002F4.navigating-the-platform",{"title":1198,"path":1199,"stem":1200,"children":1201,"page":1172},"Container Tracking","\u002Fen\u002Fplatform\u002Fcontainer-tracking","en\u002F1.platform\u002F2.container-tracking",[1202,1206,1210,1214,1218,1222],{"title":1203,"path":1204,"stem":1205,"audience":1184},"Shipment details","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Fshipment-details","en\u002F1.platform\u002F2.container-tracking\u002F1.shipment-details",{"title":1207,"path":1208,"stem":1209,"audience":1184},"Shipping statuses","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Fshipping-statuses","en\u002F1.platform\u002F2.container-tracking\u002F2.shipping-statuses",{"title":1211,"path":1212,"stem":1213,"audience":1184},"Update frequency","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Fupdate-frequency","en\u002F1.platform\u002F2.container-tracking\u002F3.update-frequency",{"title":1215,"path":1216,"stem":1217,"audience":1184},"Tracking issues","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Ftracking-issues","en\u002F1.platform\u002F2.container-tracking\u002F4.tracking-issues",{"title":1219,"path":1220,"stem":1221,"audience":1184},"Sharing and export","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Fsharing-and-export","en\u002F1.platform\u002F2.container-tracking\u002F5.sharing-and-export",{"title":1223,"path":1224,"stem":1225,"audience":1184},"Shipment archiving","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Fshipment-archiving","en\u002F1.platform\u002F2.container-tracking\u002F6.shipment-archiving",{"title":1227,"path":1228,"stem":1229,"children":1230,"page":1172},"Shipment Views","\u002Fen\u002Fplatform\u002Fshipment-views","en\u002F1.platform\u002F3.shipment-views",[1231,1235,1239,1243],{"title":1232,"path":1233,"stem":1234,"audience":1184},"Shipment list","\u002Fen\u002Fplatform\u002Fshipment-views\u002Fshipment-list","en\u002F1.platform\u002F3.shipment-views\u002F1.shipment-list",{"title":1236,"path":1237,"stem":1238,"audience":1184},"Shipment list columns","\u002Fen\u002Fplatform\u002Fshipment-views\u002Fshipment-list-columns","en\u002F1.platform\u002F3.shipment-views\u002F2.shipment-list-columns",{"title":1240,"path":1241,"stem":1242,"audience":1184},"Kanban","\u002Fen\u002Fplatform\u002Fshipment-views\u002Fkanban","en\u002F1.platform\u002F3.shipment-views\u002F3.kanban",{"title":1244,"path":1245,"stem":1246,"audience":1184},"Calendar","\u002Fen\u002Fplatform\u002Fshipment-views\u002Fcalendar","en\u002F1.platform\u002F3.shipment-views\u002F4.calendar",{"title":1248,"path":1249,"stem":1250,"children":1251,"page":1172},"Alerts","\u002Fen\u002Fplatform\u002Falerts","en\u002F1.platform\u002F4.alerts",[1252,1256,1260],{"title":1253,"path":1254,"stem":1255,"audience":1184},"Alerts page","\u002Fen\u002Fplatform\u002Falerts\u002Falerts-page","en\u002F1.platform\u002F4.alerts\u002F1.alerts-page",{"title":1257,"path":1258,"stem":1259,"audience":1184},"Alert management","\u002Fen\u002Fplatform\u002Falerts\u002Falert-management","en\u002F1.platform\u002F4.alerts\u002F2.alert-management",{"title":1261,"path":1262,"stem":1263,"audience":1184},"Notifications and reports","\u002Fen\u002Fplatform\u002Falerts\u002Fnotifications-and-reports","en\u002F1.platform\u002F4.alerts\u002F3.notifications-and-reports",{"title":1265,"path":1266,"stem":1267,"children":1268,"page":1172},"Analytics","\u002Fen\u002Fplatform\u002Fanalytics","en\u002F1.platform\u002F5.analytics",[1269,1273],{"title":1270,"path":1271,"stem":1272,"audience":1184},"Performance analytics","\u002Fen\u002Fplatform\u002Fanalytics\u002Fperformance","en\u002F1.platform\u002F5.analytics\u002F1.performance",{"title":1274,"path":1275,"stem":1276,"audience":1184},"Sustainability","\u002Fen\u002Fplatform\u002Fanalytics\u002Fsustainability","en\u002F1.platform\u002F5.analytics\u002F2.sustainability",{"title":1278,"path":1279,"stem":1280,"children":1281,"page":1172},"Workspace","\u002Fen\u002Fplatform\u002Fworkspace","en\u002F1.platform\u002F6.workspace",[1282,1286,1290,1294,1298,1302],{"title":1283,"path":1284,"stem":1285,"audience":1184},"Users and roles","\u002Fen\u002Fplatform\u002Fworkspace\u002Fusers-and-roles","en\u002F1.platform\u002F6.workspace\u002F1.users-and-roles",{"title":1287,"path":1288,"stem":1289,"audience":1184},"Teams","\u002Fen\u002Fplatform\u002Fworkspace\u002Fteams","en\u002F1.platform\u002F6.workspace\u002F2.teams",{"title":1291,"path":1292,"stem":1293,"audience":1184},"Documents","\u002Fen\u002Fplatform\u002Fworkspace\u002Fdocuments","en\u002F1.platform\u002F6.workspace\u002F3.documents",{"title":1295,"path":1296,"stem":1297,"audience":1184},"Workspace settings","\u002Fen\u002Fplatform\u002Fworkspace\u002Fworkspace-settings","en\u002F1.platform\u002F6.workspace\u002F4.workspace-settings",{"title":1299,"path":1300,"stem":1301,"audience":1184},"White label","\u002Fen\u002Fplatform\u002Fworkspace\u002Fwhite-label","en\u002F1.platform\u002F6.workspace\u002F5.white-label",{"title":1303,"path":1304,"stem":1305,"audience":1184},"Account settings","\u002Fen\u002Fplatform\u002Fworkspace\u002Faccount-settings","en\u002F1.platform\u002F6.workspace\u002F6.account-settings",{"title":1307,"path":1308,"stem":1309,"children":1310,"page":1172},"Billing","\u002Fen\u002Fplatform\u002Fbilling","en\u002F1.platform\u002F7.billing",[1311,1315,1319],{"title":1312,"path":1313,"stem":1314,"audience":1184},"Billing and payment","\u002Fen\u002Fplatform\u002Fbilling\u002Fbilling-and-payment","en\u002F1.platform\u002F7.billing\u002F1.billing-and-payment",{"title":1316,"path":1317,"stem":1318,"audience":1184},"Shipment billing","\u002Fen\u002Fplatform\u002Fbilling\u002Fshipment-billing","en\u002F1.platform\u002F7.billing\u002F2.shipment-billing",{"title":1320,"path":1321,"stem":1322,"audience":1184},"Free trial","\u002Fen\u002Fplatform\u002Fbilling\u002Ffree-trial","en\u002F1.platform\u002F7.billing\u002F3.free-trial",{"title":1324,"path":1325,"stem":1326,"children":1327,"page":1172},"Developers","\u002Fen\u002Fplatform\u002Fdevelopers","en\u002F1.platform\u002F8.developers",[1328,1332],{"title":1329,"path":1330,"stem":1331,"audience":1184},"API credentials","\u002Fen\u002Fplatform\u002Fdevelopers\u002Fapi-credentials","en\u002F1.platform\u002F8.developers\u002F1.api-credentials",{"title":1333,"path":1334,"stem":1335,"audience":1184},"Webhooks console","\u002Fen\u002Fplatform\u002Fdevelopers\u002Fwebhooks-console","en\u002F1.platform\u002F8.developers\u002F2.webhooks-console",{"title":1337,"path":1338,"stem":1339,"children":1340,"page":1172},"Integrations","\u002Fen\u002Fplatform\u002Fintegrations","en\u002F1.platform\u002F9.integrations",[1341,1345],{"title":1342,"path":1343,"stem":1344,"audience":1184},"Salesforce installation","\u002Fen\u002Fplatform\u002Fintegrations\u002Fsalesforce-installation","en\u002F1.platform\u002F9.integrations\u002F1.salesforce-installation",{"title":1346,"path":1347,"stem":1348,"audience":1184},"Salesforce user guide","\u002Fen\u002Fplatform\u002Fintegrations\u002Fsalesforce-user-guide","en\u002F1.platform\u002F9.integrations\u002F2.salesforce-user-guide",[1350,1366,1431,1599,1634,1666],{"title":1176,"path":1351,"stem":1352,"children":1353,"page":1172},"\u002Fen\u002Fapi\u002Fgetting-started","en\u002F2.api\u002F1.getting-started",[1354,1358,1362],{"title":1355,"path":1356,"stem":1357,"audience":7},"API overview","\u002Fen\u002Fapi\u002Fgetting-started\u002Foverview","en\u002F2.api\u002F1.getting-started\u002F1.overview",{"title":1359,"path":1360,"stem":1361,"audience":7},"Authentication","\u002Fen\u002Fapi\u002Fgetting-started\u002Fauthentication","en\u002F2.api\u002F1.getting-started\u002F2.authentication",{"title":1363,"path":1364,"stem":1365,"audience":7},"Rate limits","\u002Fen\u002Fapi\u002Fgetting-started\u002Frate-limits","en\u002F2.api\u002F1.getting-started\u002F3.rate-limits",{"title":1198,"path":1367,"stem":1368,"children":1369,"page":1172},"\u002Fen\u002Fapi\u002Fcontainer-tracking","en\u002F2.api\u002F2.container-tracking",[1370,1401],{"title":1371,"path":1372,"stem":1373,"children":1374,"page":1172},"Guides","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides","en\u002F2.api\u002F2.container-tracking\u002F1.guides",[1375,1379,1380,1383,1387,1391,1393,1397],{"title":1376,"path":1377,"stem":1378,"audience":7},"Getting started with the Container Tracking API","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fgetting-started","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F1.getting-started",{"title":6,"path":1154,"stem":1162,"audience":7},{"title":1381,"path":1160,"stem":1382,"audience":7},"Shipment route","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F3.shipment-route",{"title":1384,"path":1385,"stem":1386,"audience":7},"Demurrage risk","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fdemurrage-risk","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F4.demurrage-risk",{"title":1388,"path":1389,"stem":1390,"audience":7},"Error codes","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Ferror-codes","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F5.error-codes",{"title":1130,"path":1129,"stem":1392,"audience":7},"en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F6.status-and-event-codes",{"title":1394,"path":1395,"stem":1396,"audience":7},"Supported shipping lines","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fsupported-sealines","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F7.supported-sealines",{"title":1398,"path":1399,"stem":1400,"audience":7},"Sandbox and test shipments","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fsandbox","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F8.sandbox",{"title":1402,"path":1403,"stem":1404,"children":1405,"page":1172},"Reference","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference","en\u002F2.api\u002F2.container-tracking\u002F2.reference",[1406,1411,1416,1421,1426],{"title":1407,"path":18,"stem":1408,"method":1409,"endpoint":1410},"Retrieve shipment tracking data","en\u002F2.api\u002F2.container-tracking\u002F2.reference\u002F1.get-shipment-detail","GET","\u002Fshipment",{"title":1412,"path":1413,"stem":1414,"method":1409,"endpoint":1415},"Retrieve shipment tracking data in a Searates-compatible format","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference\u002Fget-shipment-searates-format","en\u002F2.api\u002F2.container-tracking\u002F2.reference\u002F2.get-shipment-searates-format","\u002Fshipment-format\u002Fsearates",{"title":1417,"path":1418,"stem":1419,"method":1409,"endpoint":1420},"Retrieve available sealines","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference\u002Fget-sea-line-details","en\u002F2.api\u002F2.container-tracking\u002F2.reference\u002F3.get-sea-line-details","\u002Fsealines",{"title":1422,"path":1423,"stem":1424,"method":1409,"endpoint":1425},"Retrieve your monthly usages","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference\u002Fretrieve-usages","en\u002F2.api\u002F2.container-tracking\u002F2.reference\u002F4.retrieve-usages","\u002Fusages",{"title":1427,"path":1428,"stem":1429,"method":1409,"endpoint":1430},"Retrieve list of shipments called with the API, that usages have a minimum resolution of a month (you cant select the usage for one  week for example, the usage will automatically be for the month of the week provided)","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference\u002Fretrieve-shipment-usages","en\u002F2.api\u002F2.container-tracking\u002F2.reference\u002F5.retrieve-shipment-usages","\u002Fshipment-usage",{"title":1432,"path":1433,"stem":1434,"children":1435,"page":1172},"Webhooks","\u002Fen\u002Fapi\u002Fwebhooks","en\u002F2.api\u002F3.webhooks",[1436,1475],{"title":1371,"path":1437,"stem":1438,"children":1439,"page":1172},"\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides","en\u002F2.api\u002F3.webhooks\u002F1.guides",[1440,1444,1448,1452,1455,1459,1463,1467,1471],{"title":1441,"path":1442,"stem":1443,"audience":7},"Getting started with webhooks","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fgetting-started","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F1.getting-started",{"title":1445,"path":1446,"stem":1447,"audience":7},"Synchronous and asynchronous tracking","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fsync-vs-async","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F2.sync-vs-async",{"title":1449,"path":1450,"stem":1451,"audience":7},"Using webhooks as a push API","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fpush-api","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F3.push-api",{"title":1186,"path":1453,"stem":1454,"audience":7},"\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fadding-shipments","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F4.adding-shipments",{"title":1456,"path":1457,"stem":1458,"audience":7},"Testing your webhook endpoint","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Ftesting-your-endpoint","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F5.testing-your-endpoint",{"title":1460,"path":1461,"stem":1462,"audience":7},"Detecting and recovering webhook failures","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Ffailure-recovery","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F6.failure-recovery",{"title":1464,"path":1465,"stem":1466,"audience":7},"Shipment usage","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fshipment-usage","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F7.shipment-usage",{"title":1468,"path":1469,"stem":1470,"audience":7},"Webhook events","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fevents","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F8.events",{"title":1472,"path":1473,"stem":1474,"audience":7},"Auto-removal policy","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fauto-removal-policy","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F9.auto-removal-policy",{"title":1402,"path":1476,"stem":1477,"children":1478,"page":1172},"\u002Fen\u002Fapi\u002Fwebhooks\u002Freference","en\u002F2.api\u002F3.webhooks\u002F2.reference",[1479,1557,1580,1590],{"title":1480,"path":1481,"stem":1482,"children":1483,"page":1172},"Endpoints","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints",[1484,1490,1494,1499,1504,1509,1514,1519,1524,1529,1534,1539,1544,1548,1552],{"title":1485,"path":1486,"stem":1487,"method":1488,"endpoint":1489},"Create Endpoint","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-create","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F1.endpoint-create","POST","\u002Fendpoint",{"title":1491,"path":1492,"stem":1493,"method":1409,"endpoint":1489},"List Endpoints","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-list","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F2.endpoint-list",{"title":1495,"path":1496,"stem":1497,"method":1409,"endpoint":1498},"Get Endpoint","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-get","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F3.endpoint-get","\u002Fendpoint\u002F{endpoint_id}",{"title":1500,"path":1501,"stem":1502,"method":1503,"endpoint":1498},"Update Endpoint","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-update","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F4.endpoint-update","PUT",{"title":1505,"path":1506,"stem":1507,"method":1508,"endpoint":1498},"Delete Endpoint","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-delete","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F5.endpoint-delete","DELETE",{"title":1510,"path":1511,"stem":1512,"method":1513,"endpoint":1498},"Patch Endpoint","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-patch","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F6.endpoint-patch","PATCH",{"title":1515,"path":1516,"stem":1517,"method":1409,"endpoint":1518},"Get Endpoint Secret","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-get-secret","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F7.endpoint-get-secret","\u002Fendpoint\u002F{endpoint_id}\u002Fsecret",{"title":1520,"path":1521,"stem":1522,"method":1488,"endpoint":1523},"Rotate Endpoint Secret","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-rotate-secret","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F8.endpoint-rotate-secret","\u002Fendpoint\u002F{endpoint_id}\u002Fsecret\u002Frotate",{"title":1525,"path":1526,"stem":1527,"method":1409,"endpoint":1528},"Endpoint Stats","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-get-stats","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F9.endpoint-get-stats","\u002Fendpoint\u002F{endpoint_id}\u002Fstats",{"title":1530,"path":1531,"stem":1532,"method":1488,"endpoint":1533},"Recover Failed Webhooks","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-recover","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F10.endpoint-recover","\u002Fendpoint\u002F{endpoint_id}\u002Frecover",{"title":1535,"path":1536,"stem":1537,"method":1488,"endpoint":1538},"Replay Missing Webhooks","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-replay","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F11.endpoint-replay","\u002Fendpoint\u002F{endpoint_id}\u002Freplay-missing",{"title":1540,"path":1541,"stem":1542,"method":1409,"endpoint":1543},"Get Endpoint Headers","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-get-headers","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F12.endpoint-get-headers","\u002Fendpoint\u002F{endpoint_id}\u002Fheaders",{"title":1545,"path":1546,"stem":1547,"method":1503,"endpoint":1543},"Update Endpoint Headers","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-update-headers","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F13.endpoint-update-headers",{"title":1549,"path":1550,"stem":1551,"method":1513,"endpoint":1543},"Patch Endpoint Headers","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-patch-headers","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F14.endpoint-patch-headers",{"title":1553,"path":1554,"stem":1555,"method":1488,"endpoint":1556},"Send Event Type Example Message","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-send-example","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F15.endpoint-send-example","\u002Fendpoint\u002F{endpoint_id}\u002Fsend-example",{"title":1558,"path":1559,"stem":1560,"children":1561,"page":1172},"Easy Shipment","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Feasy-shipment","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F2.easy-shipment",[1562,1567,1572,1576],{"title":1563,"path":1564,"stem":1565,"method":1488,"endpoint":1566},"Add shipments asynchronously","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Feasy-shipment\u002Feasy-shipment-add-async","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F2.easy-shipment\u002F1.easy-shipment-add-async","\u002Feasy-shipment-asynchronous",{"title":1568,"path":1569,"stem":1570,"method":1409,"endpoint":1571},"Get the list of shipments for all your endpoints","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Feasy-shipment\u002Feasy-shipment-get","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F2.easy-shipment\u002F2.easy-shipment-get","\u002Feasy-shipment",{"title":1573,"path":1574,"stem":1575,"method":1503,"endpoint":1571},"Update shipments to endpoints","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Feasy-shipment\u002Feasy-shipment-update","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F2.easy-shipment\u002F3.easy-shipment-update",{"title":1577,"path":1578,"stem":1579,"method":1508,"endpoint":1571},"Delete shipments to endpoints","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Feasy-shipment\u002Feasy-shipment-delete","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F2.easy-shipment\u002F4.easy-shipment-delete",{"title":1581,"path":1582,"stem":1583,"children":1584,"page":1172},"Application","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fapplication","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F3.application",[1585],{"title":1586,"path":1587,"stem":1588,"method":1409,"endpoint":1589},"Get dashboard url","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fapplication\u002Fapplication-dashboard","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F3.application\u002F1.application-dashboard","\u002Fdashboard",{"title":1591,"path":1592,"stem":1593,"children":1594,"page":1172},"Usages","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fusages","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F4.usages",[1595],{"title":1596,"path":1597,"stem":1598,"method":1409,"endpoint":1430},"Retrieve list of shipments called with the API","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fusages\u002Fretrieve-shipment-usages","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F4.usages\u002F1.retrieve-shipment-usages",{"title":1600,"path":1601,"stem":1602,"children":1603,"page":1172},"Shipment Management","\u002Fen\u002Fapi\u002Fshipment-management","en\u002F2.api\u002F4.shipment-management",[1604,1616],{"title":1371,"path":1605,"stem":1606,"children":1607,"page":1172},"\u002Fen\u002Fapi\u002Fshipment-management\u002Fguides","en\u002F2.api\u002F4.shipment-management\u002F1.guides",[1608,1612],{"title":1609,"path":1610,"stem":1611,"audience":7},"Getting started with the Shipment Management API","\u002Fen\u002Fapi\u002Fshipment-management\u002Fguides\u002Fgetting-started","en\u002F2.api\u002F4.shipment-management\u002F1.guides\u002F1.getting-started",{"title":1613,"path":1614,"stem":1615,"audience":7},"Embed a shipment in an iframe","\u002Fen\u002Fapi\u002Fshipment-management\u002Fguides\u002Fiframe-embed","en\u002F2.api\u002F4.shipment-management\u002F1.guides\u002F2.iframe-embed",{"title":1402,"path":1617,"stem":1618,"children":1619,"page":1172},"\u002Fen\u002Fapi\u002Fshipment-management\u002Freference","en\u002F2.api\u002F4.shipment-management\u002F2.reference",[1620,1625,1629],{"title":1621,"path":1622,"stem":1623,"method":1488,"endpoint":1624},"Create shipments","\u002Fen\u002Fapi\u002Fshipment-management\u002Freference\u002Fcreate-shipments","en\u002F2.api\u002F4.shipment-management\u002F2.reference\u002F1.create-shipments","\u002Fpublic\u002Fshipments",{"title":1626,"path":1627,"stem":1628,"method":1508,"endpoint":1624},"Delete multiple shipments","\u002Fen\u002Fapi\u002Fshipment-management\u002Freference\u002Fdelete-shipments","en\u002F2.api\u002F4.shipment-management\u002F2.reference\u002F2.delete-shipments",{"title":1630,"path":1631,"stem":1632,"method":1488,"endpoint":1633},"Get multiple shipments","\u002Fen\u002Fapi\u002Fshipment-management\u002Freference\u002Fsearch-shipments","en\u002F2.api\u002F4.shipment-management\u002F2.reference\u002F3.search-shipments","\u002Fpublic\u002Fshipments\u002Fsearch",{"title":1635,"path":1636,"stem":1637,"children":1638,"page":1172},"Ports Intelligence","\u002Fen\u002Fapi\u002Fports-intelligence","en\u002F2.api\u002F5.ports-intelligence",[1639,1647],{"title":1371,"path":1640,"stem":1641,"children":1642,"page":1172},"\u002Fen\u002Fapi\u002Fports-intelligence\u002Fguides","en\u002F2.api\u002F5.ports-intelligence\u002F1.guides",[1643],{"title":1644,"path":1645,"stem":1646,"audience":7},"Port occupation","\u002Fen\u002Fapi\u002Fports-intelligence\u002Fguides\u002Fport-occupation","en\u002F2.api\u002F5.ports-intelligence\u002F1.guides\u002F1.port-occupation",{"title":1402,"path":1648,"stem":1649,"children":1650,"page":1172},"\u002Fen\u002Fapi\u002Fports-intelligence\u002Freference","en\u002F2.api\u002F5.ports-intelligence\u002F2.reference",[1651,1656,1661],{"title":1652,"path":1653,"stem":1654,"method":1409,"endpoint":1655},"Search Port Details by its name or unlocode","\u002Fen\u002Fapi\u002Fports-intelligence\u002Freference\u002Fsearch-port-details","en\u002F2.api\u002F5.ports-intelligence\u002F2.reference\u002F1.search-port-details","\u002Fports\u002Fsearch",{"title":1657,"path":1658,"stem":1659,"method":1409,"endpoint":1660},"Get Port Details by unlocode","\u002Fen\u002Fapi\u002Fports-intelligence\u002Freference\u002Fget-port-details","en\u002F2.api\u002F5.ports-intelligence\u002F2.reference\u002F2.get-port-details","\u002Fports\u002F{unlocode}",{"title":1662,"path":1663,"stem":1664,"method":1409,"endpoint":1665},"Get Vessels in port","\u002Fen\u002Fapi\u002Fports-intelligence\u002Freference\u002Fget-vessels-in-port","en\u002F2.api\u002F5.ports-intelligence\u002F2.reference\u002F3.get-vessels-in-port","\u002Fports\u002F{unlocode}\u002Fvessels-in-port",{"title":1667,"path":1668,"stem":1669,"children":1670,"page":1172},"Congestion","\u002Fen\u002Fapi\u002Fcongestion","en\u002F2.api\u002F6.congestion",[1671,1683],{"title":1371,"path":1672,"stem":1673,"children":1674,"page":1172},"\u002Fen\u002Fapi\u002Fcongestion\u002Fguides","en\u002F2.api\u002F6.congestion\u002F1.guides",[1675,1679],{"title":1676,"path":1677,"stem":1678,"audience":7},"Getting started with the Congestion API","\u002Fen\u002Fapi\u002Fcongestion\u002Fguides\u002Fgetting-started","en\u002F2.api\u002F6.congestion\u002F1.guides\u002F1.getting-started",{"title":1680,"path":1681,"stem":1682,"audience":7},"Congestion API coverage","\u002Fen\u002Fapi\u002Fcongestion\u002Fguides\u002Fcoverage","en\u002F2.api\u002F6.congestion\u002F1.guides\u002F2.coverage",{"title":1402,"path":1684,"stem":1685,"children":1686,"page":1172},"\u002Fen\u002Fapi\u002Fcongestion\u002Freference","en\u002F2.api\u002F6.congestion\u002F2.reference",[1687,1692,1697,1702],{"title":1688,"path":1689,"stem":1690,"method":1409,"endpoint":1691},"Retrieve aggregated congestion data for a port","\u002Fen\u002Fapi\u002Fcongestion\u002Freference\u002Fretrieve-congestion-aggregate","en\u002F2.api\u002F6.congestion\u002F2.reference\u002F1.retrieve-congestion-aggregate","\u002Fcongestion\u002F{portCode}",{"title":1693,"path":1694,"stem":1695,"method":1488,"endpoint":1696},"Retrieve aggregated congestion data for multiple ports","\u002Fen\u002Fapi\u002Fcongestion\u002Freference\u002Fretrieve-congestion-aggregate-batch","en\u002F2.api\u002F6.congestion\u002F2.reference\u002F2.retrieve-congestion-aggregate-batch","\u002Fcongestion\u002Fbatch",{"title":1698,"path":1699,"stem":1700,"method":1409,"endpoint":1701},"Retrieve the current credit consumption period","\u002Fen\u002Fapi\u002Fcongestion\u002Freference\u002Fretrieve-current-consumption-period","en\u002F2.api\u002F6.congestion\u002F2.reference\u002F3.retrieve-current-consumption-period","\u002Fconsumption\u002Fcurrent-period",{"title":1703,"path":1704,"stem":1705,"method":1409,"endpoint":1706},"Retrieve all credit consumption periods","\u002Fen\u002Fapi\u002Fcongestion\u002Freference\u002Fretrieve-consumption-periods","en\u002F2.api\u002F6.congestion\u002F2.reference\u002F4.retrieve-consumption-periods","\u002Fconsumption\u002Fperiods",[1708,1713,1717,1721,1725,1729],{"title":1709,"path":1710,"stem":1711,"audience":1712},"Getting started and scope","\u002Fen\u002Ffaq\u002Fgetting-started","en\u002F3.faq\u002F1.getting-started","faq",{"title":1714,"path":1715,"stem":1716,"audience":1712},"Tracking","\u002Fen\u002Ffaq\u002Ftracking","en\u002F3.faq\u002F2.tracking",{"title":1718,"path":1719,"stem":1720,"audience":1712},"Billing and plans","\u002Fen\u002Ffaq\u002Fbilling","en\u002F3.faq\u002F3.billing",{"title":1722,"path":1723,"stem":1724,"audience":1712},"Account and workspace","\u002Fen\u002Ffaq\u002Faccount","en\u002F3.faq\u002F4.account",{"title":1726,"path":1727,"stem":1728,"audience":1712},"API and integration","\u002Fen\u002Ffaq\u002Fapi","en\u002F3.faq\u002F5.api",{"title":1730,"path":1731,"stem":1732,"audience":1712},"Security and legal","\u002Fen\u002Ffaq\u002Fsecurity-and-legal","en\u002F3.faq\u002F6.security-and-legal",[1734,1739,1743,1747,1751,1755,1759,1763,1767,1771,1775,1779,1783,1787,1791,1795,1799,1803,1807,1811,1815,1819,1823,1827,1831,1835,1839,1843,1847,1851],{"title":1735,"path":1736,"stem":1737,"audience":1738},"November 2026","\u002Fen\u002Fchangelog\u002F2026-11-09","en\u002F4.changelog\u002F2026-11-09","changelog",{"title":1740,"path":1741,"stem":1742,"audience":1738},"October 2026","\u002Fen\u002Fchangelog\u002F2026-10-21","en\u002F4.changelog\u002F2026-10-21",{"title":1744,"path":1745,"stem":1746,"audience":1738},"September 2026","\u002Fen\u002Fchangelog\u002F2026-09-09","en\u002F4.changelog\u002F2026-09-09",{"title":1748,"path":1749,"stem":1750,"audience":1738},"August 2026","\u002Fen\u002Fchangelog\u002F2026-08-19","en\u002F4.changelog\u002F2026-08-19",{"title":1752,"path":1753,"stem":1754,"audience":1738},"July 2026","\u002Fen\u002Fchangelog\u002F2026-07-30","en\u002F4.changelog\u002F2026-07-30",{"title":1756,"path":1757,"stem":1758,"audience":1738},"June 2026","\u002Fen\u002Fchangelog\u002F2026-06-16","en\u002F4.changelog\u002F2026-06-16",{"title":1760,"path":1761,"stem":1762,"audience":1738},"April 2026","\u002Fen\u002Fchangelog\u002F2026-04-29","en\u002F4.changelog\u002F2026-04-29",{"title":1764,"path":1765,"stem":1766,"audience":1738},"March 2026","\u002Fen\u002Fchangelog\u002F2026-03-31","en\u002F4.changelog\u002F2026-03-31",{"title":1768,"path":1769,"stem":1770,"audience":1738},"February 2026","\u002Fen\u002Fchangelog\u002F2026-02-25","en\u002F4.changelog\u002F2026-02-25",{"title":1772,"path":1773,"stem":1774,"audience":1738},"January 2026","\u002Fen\u002Fchangelog\u002F2026-01-27","en\u002F4.changelog\u002F2026-01-27",{"title":1776,"path":1777,"stem":1778,"audience":1738},"December 2025","\u002Fen\u002Fchangelog\u002F2025-12-15","en\u002F4.changelog\u002F2025-12-15",{"title":1780,"path":1781,"stem":1782,"audience":1738},"November 2025","\u002Fen\u002Fchangelog\u002F2025-11-28","en\u002F4.changelog\u002F2025-11-28",{"title":1784,"path":1785,"stem":1786,"audience":1738},"September 2025","\u002Fen\u002Fchangelog\u002F2025-09-04","en\u002F4.changelog\u002F2025-09-04",{"title":1788,"path":1789,"stem":1790,"audience":1738},"August 2025","\u002Fen\u002Fchangelog\u002F2025-08-20","en\u002F4.changelog\u002F2025-08-20",{"title":1792,"path":1793,"stem":1794,"audience":1738},"July 2025","\u002Fen\u002Fchangelog\u002F2025-07-21","en\u002F4.changelog\u002F2025-07-21",{"title":1796,"path":1797,"stem":1798,"audience":1738},"June 2025","\u002Fen\u002Fchangelog\u002F2025-06-23","en\u002F4.changelog\u002F2025-06-23",{"title":1800,"path":1801,"stem":1802,"audience":1738},"May 2025","\u002Fen\u002Fchangelog\u002F2025-05-26","en\u002F4.changelog\u002F2025-05-26",{"title":1804,"path":1805,"stem":1806,"audience":1738},"April 2025","\u002Fen\u002Fchangelog\u002F2025-04-28","en\u002F4.changelog\u002F2025-04-28",{"title":1808,"path":1809,"stem":1810,"audience":1738},"March 2025","\u002Fen\u002Fchangelog\u002F2025-03-31","en\u002F4.changelog\u002F2025-03-31",{"title":1812,"path":1813,"stem":1814,"audience":1738},"February 2025","\u002Fen\u002Fchangelog\u002F2025-02-26","en\u002F4.changelog\u002F2025-02-26",{"title":1816,"path":1817,"stem":1818,"audience":1738},"January 2025","\u002Fen\u002Fchangelog\u002F2025-01-30","en\u002F4.changelog\u002F2025-01-30",{"title":1820,"path":1821,"stem":1822,"audience":1738},"December 2024","\u002Fen\u002Fchangelog\u002F2024-12-19","en\u002F4.changelog\u002F2024-12-19",{"title":1824,"path":1825,"stem":1826,"audience":1738},"November 2024","\u002Fen\u002Fchangelog\u002F2024-11-28","en\u002F4.changelog\u002F2024-11-28",{"title":1828,"path":1829,"stem":1830,"audience":1738},"October 2024","\u002Fen\u002Fchangelog\u002F2024-10-30","en\u002F4.changelog\u002F2024-10-30",{"title":1832,"path":1833,"stem":1834,"audience":1738},"September 2024","\u002Fen\u002Fchangelog\u002F2024-09-23","en\u002F4.changelog\u002F2024-09-23",{"title":1836,"path":1837,"stem":1838,"audience":1738},"August 2024","\u002Fen\u002Fchangelog\u002F2024-08-30","en\u002F4.changelog\u002F2024-08-30",{"title":1840,"path":1841,"stem":1842,"audience":1738},"July 2024","\u002Fen\u002Fchangelog\u002F2024-07-29","en\u002F4.changelog\u002F2024-07-29",{"title":1844,"path":1845,"stem":1846,"audience":1738},"June 2024","\u002Fen\u002Fchangelog\u002F2024-06-25","en\u002F4.changelog\u002F2024-06-25",{"title":1848,"path":1849,"stem":1850,"audience":1738},"May 2024","\u002Fen\u002Fchangelog\u002F2024-05-31","en\u002F4.changelog\u002F2024-05-31",{"title":1852,"path":1853,"stem":1854,"audience":1738},"April 2024","\u002Fen\u002Fchangelog\u002F2024-04-30","en\u002F4.changelog\u002F2024-04-30",[1856,1857],{"title":1376,"path":1377,"stem":1378,"children":-1},{"title":1381,"path":1160,"stem":1382,"children":-1},1794931505820]